.f-icon-box-section__wrapper {
    position: relative
}

.f-icon-box__inner {
    display: flex
}

.f-icon-box__icon {
    overflow: hidden;
    display: flex;
    flex-shrink: 0;
    justify-content: center;
    width: 100%;
    max-width: 100%
}

@media screen and (min-width: 768px) {
    .f-icon-box__icon {
        margin-bottom: 0
    }
}

.f-icon-box__heading {
    font-weight: 500;
    margin-bottom: 6px
}

.f-icon-box__description {
    color: rgb(var(--color-foreground-secondary))
}

.f-icon-box .f-button {
    margin-top: 12px
}

/*横向*/
.f-icon-box--vertical .f-icon-box__content {
    margin-top: 20px
}

/*竖向*/

.f-icon-box--horizontal .f-icon-box__icon {
    margin-right: 12px
}

.f-icon-box--style-3 .f-icon-box__content {
    position: relative;
    width: calc(100% - 48px);
    padding: 30px;
    margin-top: -100px;
    background-color: rgba(var(--color-background-secondary));
    margin-left: 24px;
    margin-right: 24px;
    border-radius: var(--blocks-radius);
}

.f-icon-box--style-3 .f-icon-box__content .f-icon-style-3 {
    position: absolute;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgb(var(--color-button));
    right: 20px;
    top: -30px;

}


.f-icon-box--style-4 .f-icon-box__content {
    pointer-events: none;
    overflow: hidden;
    width: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
    z-index: 2;
    border-radius: var(--blocks-radius);
}

.f-icon-box--style-4 .f-icon-style-4 {
    position: absolute;
    left: 40px;
    top: 40px;
    z-index: 2;
}

.f-icon-box--style-4 .f-icon-box__content .style-4 {
    padding: 30px;
    transform: translateY(10px);
    transition: all 0.3s ease;
}

.f-icon-box--style-4 .f-icon-box__content .text-box {
    opacity: 0;
    visibility: hidden;
    max-height: 24px;
    overflow-y: auto;
}

.f-icon-box--style-4:hover .style-4 {
    transform: translateY(0);
}

.f-icon-box--style-4:hover .style-4 .text-box {
    opacity: 1;
    visibility: visible;
    height: 100%;
    max-height: 100px;

}

.f-icon-box--style-4::after{
    content: '';
    position: absolute;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: var(--color-image-overlay);
    opacity: 0;
    transition: all 0.3s ease;
    border-radius: var(--blocks-radius);
    pointer-events: none;
}

.f-icon-box--style-4:hover::after {
    opacity: var(--opacity-image-overlay);
}
.f-icon-box--style-4 .f-icon-box__content {
    background-image: linear-gradient(0deg, rgb(var(--color-image-overlay-rgb)) 0%, rgba(var(--color-image-overlay-rgb),0) 100%);

}


@media screen and (min-width: 640px) {
    .f-icon-box--horizontal .f-icon-box__icon {
        margin-right: 20px
    }
}

@media screen and (max-width: 639px) {
    .f-icon-box--horizontal.f-icon-box--col-1 .f-icon-box__icon {
        margin-right: 20px
    }
}

.f-icon-box__content .f-icon-box__index {
    border-radius: 50%;
    width: 24px;
    height: 24px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 16px;
    font-weight: 600;
    color: rgb(var(--color-button-text));
    background-color: rgb(var(--color-button));
    margin: 0 auto 10px;
}

.f-icon-box-section .f-slider-controls__button svg {
    width: 28px;
    height: 28px;
}

.f-icon-box-section .f-slider-controls--absolute .f-slider-controls__button-next {
    right: calc(var(--column-gap, 0) / 2);
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
    background: rgb(var(--color-button-hover));
    color: rgb(var(--color-button-text-hover));
    border-color: rgb(var(--color-button-hover));
    box-shadow: 0 0 0 .2rem rgb(var(--color-button-hover));
}

.f-icon-box-section .f-slider-controls--absolute .f-slider-controls__button-prev {
    left: calc(var(--column-gap, 0) / 2);
    border-bottom-left-radius: 0;
    border-top-left-radius: 0;
    background: rgb(var(--color-button-hover));
    color: rgb(var(--color-button-text-hover));
    border-color: rgb(var(--color-button-hover));
    box-shadow: 0 0 0 .2rem rgb(var(--color-button-hover));
}

@media screen and (max-width: 1023px) {
    .f-icon-box-section .f-slider-controls--absolute .f-slider-controls__button {
        position: absolute;
        top: calc(50% - 30px);
    }

    .f-icon-box-section .f-slider-controls--absolute .f-slider-controls__button.swiper-button-prev {
        left: 0;
    }
    .f-icon-box-section .f-slider-controls--absolute .f-slider-controls__button.swiper-button-next {
        right: 0;
    }
}

.f-icon-box-section__wrapper .swiper-wrapper{
    display: flex;
}